

Avoid a possible null-pointer deref.

Found by the Coverity tool

Signed-off-by: Alexander Nyberg <alexn@dsv.su.se>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/block/genhd.c |    5 +++--
 1 files changed, 3 insertions(+), 2 deletions(-)

diff -puN drivers/block/genhd.c~genhd-null-check-fix drivers/block/genhd.c
--- 25/drivers/block/genhd.c~genhd-null-check-fix	2005-02-28 15:41:06.000000000 -0800
+++ 25-akpm/drivers/block/genhd.c	2005-02-28 15:41:06.000000000 -0800
@@ -675,9 +675,10 @@ int invalidate_partition(struct gendisk 
 {
 	int res = 0;
 	struct block_device *bdev = bdget_disk(disk, index);
-	if (bdev)
+	if (bdev) {
 		res = __invalidate_device(bdev, 1);
-	bdput(bdev);
+		bdput(bdev);
+	}
 	return res;
 }
 
_
